Skip to main content
GET
/
subaccounts
/
customers
/
accounts
List all subaccounts
curl --request GET \
  --url https://api.anchorage-staging.com/v2/subaccounts/customers/accounts \
  --header 'Api-Access-Key: <api-key>'
{
  "data": [
    {
      "accruedFees": [
        {
          "startPeriod": "2024-06-01",
          "endPeriod": "2024-06-15",
          "accruedValue": "1.21",
          "rate": 0.01,
          "type": "MANAGEMENT",
          "totalBalanceInUSD": "121.33",
          "state": "ONGOING"
        },
        {
          "startPeriod": "2024-05-01",
          "endPeriod": "2024-05-31",
          "accruedValue": "1.12",
          "rate": 0.01,
          "type": "MANAGEMENT",
          "totalBalanceInUSD": "112.33",
          "state": "DONE"
        },
        {
          "startPeriod": "2024-04-01",
          "endPeriod": "2024-04-30",
          "accruedValue": "1.21",
          "rate": 0.01,
          "type": "MANAGEMENT",
          "totalBalanceInUSD": "121.33",
          "state": "DONE"
        },
        {
          "startPeriod": "2024-06-01",
          "endPeriod": "2024-06-15",
          "accruedValue": "1.21",
          "rate": 0.01,
          "type": "MODEL",
          "totalBalanceInUSD": "121.33",
          "state": "ONGOING"
        },
        {
          "startPeriod": "2024-05-01",
          "endPeriod": "2024-05-31",
          "accruedValue": "1.21",
          "rate": 0.01,
          "type": "MODEL",
          "totalBalanceInUSD": "121.33",
          "state": "DONE"
        },
        {
          "startPeriod": "2024-04-01",
          "endPeriod": "2024-04-30",
          "accruedValue": "1.21",
          "rate": 0.01,
          "type": "MODEL",
          "totalBalanceInUSD": "121.33",
          "state": "DONE"
        }
      ],
      "balances": [
        {
          "assetType": "BTC",
          "availableForTrading": "<string>",
          "availableForWithdrawal": "<string>",
          "entries": [
            {
              "amount": "<string>",
              "description": "<string>"
            }
          ],
          "totalBalance": "<string>"
        }
      ],
      "createdAt": "2019-01-02T12:34:56.000Z",
      "customerId": "<string>",
      "externalSubaccountId": "<string>",
      "fees": [
        {
          "type": "ADVISORY",
          "rate": 0.01,
          "startDate": "2023-08-01",
          "isBillable": true
        },
        {
          "type": "MODEL",
          "rate": 0.01,
          "startDate": "2023-08-01",
          "isBillable": true
        },
        {
          "type": "MANAGEMENT",
          "rate": 0.01,
          "startDate": "2023-08-01",
          "isBillable": true
        },
        {
          "type": "CUSTODY",
          "rate": 0.01,
          "startDate": "2023-08-01",
          "isBillable": true
        }
      ],
      "name": "<string>",
      "subaccountId": "ec761b5e-fd2c-497a-a9a0-f8738ac97bdf",
      "customers": [
        {
          "customerId": "<string>"
        }
      ]
    }
  ],
  "page": {
    "next": "<next page url>"
  }
}

Authorizations

Api-Access-Key
string
header
required

An API key associated with a security role

Query Parameters

subaccountIds
string[]

Array of Unique Identifiers for the subaccount

externalIds
string[]

Array of Unique Identifiers within an external system

endDate
string<date>

The end date (inclusive) in YYYY-MM-DD format. The latest valid end date is the current date. Dates are always in UTC RFC 3339 'full-date'.

afterId
string

When paginating this is used to provide the starting point for the page to fetch (retrieved from the previous response body)

statuses
string[]

Filter subaccounts by status

limit
integer<int64>
default:25

Maximum number of results to return per query

Required range: 1 <= x <= 100

Response

Successfully returned subaccounts

data
SubaccountsDetails · object[]
required
page
Page · object

Pagination info